#include <stdio.h>
#include <stdlib.h>
 
int main(void) {
	int one;
	int two;
	int rest;
	int num;
	printf("Entrez une valeur >= 0 : ");
	scanf("%d",&one);
	while(one < 0){
		printf("Erreur! Veuillez réessayer\n");
		printf("Entrez une valeur >= 0 : ");
		scanf("%d",&one);
	}
	printf("Entrez une valeur > 0 : ");
	scanf("%d",&two);
	while(two < 0){
		printf("Erreur! Veuillez réessayer\n");
		printf("Entrez une valeur > 0 : ");
		scanf("%d",&two);
	}
	rest = one;
	while(rest>0){
		rest = rest - two;
		num++;
	}
	printf("-->  %d = %d X %d + %d\n", one, num, two, rest);
	return EXIT_SUCCESS;
}